.ToggleSwitch {
    display: flex;
    align-items: center;
    position: relative;
    min-width: 20rem;
    margin: 0;
    padding: 0;

    list-style-type: none;
    border: 1px solid #fbfbfb;
    border-radius: 2rem;
    text-align: center;
}

.ToggleSwitch--overflow  {
    flex-direction: column;
}

.ToggleSwitch__option {
    flex: 1;
    min-width: 0;
    padding: 1rem 2rem;
}

.ToggleSwitch__option__button {
    background-color: transparent;
    border: none;
    padding: 0;
    cursor: pointer;

    color: #fbfbfb;
    font-family: Avenir, Helvetica, Arial, sans-serif;
    font-size: 1rem;
    font-weight: bold;
}

.ToggleSwitch__option__button--selected {
    color: #2c3e50;
    opacity: .4;
}

.ToggleSwitch__option__button:focus {
    outline: none;
}

.ToggleSwitch__background {
    position: absolute;
    height: 100%;
    z-index: -1;
    transition: transform .25s;

    -webkit-box-shadow: 1px 0px 15px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 1px 0px 15px 0px rgba(0,0,0,0.75);
    box-shadow: 1px 0px 15px 0px rgba(0,0,0,0.75);
    background: #fbfbfb;
    opacity: .3;
    border-radius: 2rem;
}
